from django.db import models
from admin_ordering.models import OrderableModel
from tinymce.models import HTMLField
from filebrowser.fields import FileBrowseField

# Create your models here.


class Tournament(OrderableModel):
    published = models.BooleanField('Wpis opublikowany', default=True)
    show_title = models.BooleanField('Pokaż tytuł', default=True)
    title = models.CharField('Tytuł', default='', blank=True, max_length=250)
    photo = FileBrowseField(
        'Zdjęcie', directory='inneturnieje/', max_length=200, blank=True)
    content = HTMLField('Tekst', default='', blank=True)
    link = models.TextField('Link do wyników')
    link_title = models.CharField(
        'Tytuł linku', default='', blank=True, max_length=250)

    def __str__(self):
        return self.title or '(brak tytułu)'

    class Meta(OrderableModel.Meta):
        verbose_name = 'Inny turniej'
        verbose_name_plural = 'Inne turnieje'
